#ifndef __flash_access_h
#define __flash_access_h 1

#define FLASH_SEGMENT FSEG_A    /* Modify this, maybe FSEG_A and FSEG_B is not
				 * defined by default, so read the datasheet!
				 */

/*
 * Function prototypes:
 */
 
void Flash_clrb(unsigned int *);
void Flash_wb(unsigned int, unsigned char);
void Flash_ww(unsigned int, unsigned int);
void Flash_wl(unsigned int, unsigned long);
unsigned char Flash_rb(unsigned int);
unsigned int Flash_rw(unsigned int);
unsigned long Flash_rl(unsigned int);

#endif /* __flash_access_h */
